// CUITileLocked - [2020-04-13 11:57:47]
#ifndef _CUITILELOCKED_H_
#define _CUITILELOCKED_H_

#include "CUITile.h"

/*
0013DD30 CUITileLocked::CUITileLocked(int)
0013E0B8 CUITileLocked::~CUITileLocked()
0013DDF4 CUITileLocked::Render()
0013E0B4 CUITileLocked::Process()
*/

class CUITileLocked : public CUITile {
public:
  CUITileLocked(int);               // 0013DD30
  virtual ~CUITileLocked();         // 0013E0B8
  virtual void Render();            // 0013DDF4
  virtual EUITileAction Process();  // 0013E0B4
  uchar unknown_1AA[0x6];
  int i_1B0;
  uchar unknown_1B4[0x14C];
};

#endif  //_CUITILELOCKED_H_